Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install perl(Tk.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           xkbset
Version:        0.5
Release:        alt2_26
Summary:        Tool to configure XKB extensions

License:        BSD
URL:            http://www.math.missouri.edu/~stephen/software/#xkbset
Source0:        http://www.math.missouri.edu/~stephen/software/xkbset/xkbset-%{version}.tar.gz
# 2012-10-03: Sent upstream via e-mail
Source3:        xkbset.desktop
# 2012-10-03: Sent upstream via e-mail
Patch0:         xkbset-0.5-install.patch

# for /usr/include/X11/Xlib.h
BuildRequires: libX11-devel
BuildRequires: desktop-file-utils
BuildRequires: rpm-build-perl
BuildRequires: gcc
Source44: import.info


%description
xkbset is a program rather like xset in that it allows you to set various
features of the X window interface.  It allows one to configure most of the
options connected with the XKB extensions.  They are described in Section 10 of
XKBlib.ps.

This includes customizing the following:
  MouseKeys:  using the numeric pad keys to move the mouse;
  StickyKeys: where modifiers like control and shift will lock until the
              next key press (good for one finger typing);
  SlowKeys:   The keys will not work unless they are pressed for a certain
              amount of time;
  BounceKeys: If a key is pressed more than once rapidly, only one key
              press will be registered.

%prep
%setup -q
%patch0 -p1 -b .install


%build
%make_build CFLAGS="$RPM_OPT_FLAGS"


%install
%makeinstall_std X11PREFIX=%{_prefix} INSTALL_PROGRAM=install INSTALL_MAN1=$RPM_BUILD_ROOT/%{_mandir}/man1
desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE3}


%files
%doc COPYRIGHT README TODO VERSIONS
%{_bindir}/xkbset
%{_bindir}/xkbset-gui
%{_mandir}/man1/xkbset.1*
%{_datadir}/applications/xkbset.desktop


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.5-alt2_26
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.5-alt2_25
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.5-alt2_24
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.5-alt2_23
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.5-alt2_22
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.5-alt2_21
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.5-alt2_20
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.5-alt2_19
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_19
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_18
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_17
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_16
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_15
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_13
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_12
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_9
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_8
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_6
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_5
- update to new release by fcimport

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_4
- update to new release by fcimport

* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_3
- initial fc import

